Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.datasource
Class DefaultDataSourceRecord

    java.lang.Object
      edu.uky.kcr.recordlinkage.datasource.DefaultDataSourceRecord

All Implemented Interfaces:
  DataSourceRecord

Direct Known Subclasses:
  ResultSetDataSourceRecord

    public class DefaultDataSourceRecord

extends java.lang.Object
implements DataSourceRecord

Constructor Summary
`DefaultDataSourceRecord(LinkageDataSource linkageDataSource, int size, java.lang.String recordId)`
`DefaultDataSourceRecord(LinkageDataSource linkageDataSource, int size, java.lang.String[] recordIdColumnNames)`

Method Summary
`static java.lang.String` | `generateRecordId(java.lang.String[] columnNames, java.lang.String[] recordIdColumnNames, DataSourceRecord dataSourceRecord)`
`java.lang.String` | `getId()`
`java.lang.String[]` | `getKeys()`
`LinkageDataSource` | `getLinkageDataSource()`
`java.lang.String` | `getValue(java.lang.String key)`
`void` | `setId(java.lang.String id)`
`void` | `setValue(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDataSourceRecord

    public DefaultDataSourceRecord(LinkageDataSource linkageDataSource,
                                   int size,
                                   java.lang.String[] recordIdColumnNames)

### DefaultDataSourceRecord

    public DefaultDataSourceRecord(LinkageDataSource linkageDataSource,
                                   int size,
                                   java.lang.String recordId)

Method Detail

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String value)

### getValue

    public java.lang.String getValue(java.lang.String key)

  Specified by:
    `getValue` in interface `DataSourceRecord`

### getLinkageDataSource

    public LinkageDataSource getLinkageDataSource()

  Specified by:
    `getLinkageDataSource` in interface `DataSourceRecord`

### getKeys

    public java.lang.String[] getKeys()

  Specified by:
    `getKeys` in interface `DataSourceRecord`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `DataSourceRecord`

### generateRecordId

    public static java.lang.String generateRecordId(java.lang.String[] columnNames,
                                                    java.lang.String[] recordIdColumnNames,
                                                    DataSourceRecord dataSourceRecord)

### setId

    public void setId(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD